Subject: Forward: Notes from NETCONF interop tests

From: Simon Leinen <[email-masked]>
Date: Fri, 5 Aug 2005 09:36:54 +0200

Radu State from the MOME team, who coordinated last week's NETCONF
interop event, allowed me to forward his notes to the list.  Enjoy!
-- 
Simon.

Subject: MOME notes
From: [email-masked]
To: [email-masked]
Date: Fri, 29 Jul 2005 15:03:19 +0200

Please find the report of the MOME meeting for NetConf

Radu State

MOME Interoperability Notes

28-29 July, Paris, FRANCE

Participants:

NEC Labs, Germany
WIPRO, Germany
LORIA, France
POSTECH, Korea

1)	Partners tested their managers and agents with respect to a series of
predefined test cases specified on the MOME website. Each partner tested its
manager /agent solution with every other partner.

2)	Implementation languages:
a.	One partner used Python for development
b.	Three partners  used C  for development

3)	The four major problems identified during the testing were:
a.	SSH support for NetConf was initially difficult due to the different
authentication types allowed by SSH (interactive password, public key etc.) and
some offline agreement had to be done. Finally however, these issues were
solved.
b.	SSH subsystem for Netconf. Some implementations use it exclusively, while
others work with/without it. Event for those implementations that use it, the
name of the subsystem was not consistent among all the implementations.
c.	Message separator. Messages are separated with a special character string in
Netconf/SSH draft. Some implementations use it, while others don’t rely on this
mechanism.
d.	Common data model. Although a basic data model (related to the interfaces)
was specified for the MOME event, some implementations did not effectively
implement it. This issue was solved on a case per case basis, where manager
applications were customized to fit a specific agent.
4)	The interoperability results are rather positive. All 4 manager applications
succeed to connect and perform requests on two out of the four tested agents.
Two agents could not be connected to, due to missing SSH support and delimiter
problem (mentioned earlier).

Suggestions for the IETF working group

1)	Better SSH descriptions and use cases
2)	Common data model proposal

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 5 Aug 2005 21:31:25 +0200

On Fri, Aug 05, 2005 at 09:36:54AM +0200, Simon Leinen / Radu State wrote:

> c. Message separator. Messages are separated with a special
> character string in Netconf/SSH draft. Some implementations use it,
> while others don?t rely on this mechanism.

I doubt very much that you can write a correct implementation without
the separator mechanism.

> 1)	Better SSH descriptions and use cases

It would be extremely useful to know what is lacking in the ID. To me,
it sounds a bit like everything is indeed correctly written down but
the implementors either used a pretty old ID for the implementation
work or they glanced over some important paragraphs. If my feeling is
right, there is nothing that can be fixed. If I am wrong, I think it
would be extremely helpful if the interoperability testers can come up
with a proposal for the changes that would have helped them to not run
into this problem.

/js

-- 
Juergen Schoenwaelder		    International University Bremen
<http://www.eecs.iu-bremen.de/>	    P.O. Box 750 561, 28725 Bremen, Germany

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>